For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet the most recent events from the Unleash instance or all events related to a project.
      • GETGet all events related to a specific feature flag.
      • GETGet a list of all users that have created events
      • GETSearch for events

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIEvents

Get the most recent events from the Unleash instance or all events related to a project.

Deprecated
||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/events
GET
/api/admin/events
$curl https://app.unleash-instance.example.com/api/admin/events \
> -H "Authorization: <apiKey>"
1{
2 "version": 1,
3 "events": [
4 {
5 "id": 1,
6 "createdAt": "2023-07-05T12:56:00.000Z",
7 "type": "feature-created",
8 "createdBy": "johndoe",
9 "createdByUserId": 1337,
10 "environment": "development",
11 "project": "default",
12 "featureName": "my.first.feature",
13 "data": {
14 "name": "new-feature",
15 "description": "Flag description",
16 "type": "release",
17 "project": "my-project",
18 "stale": false,
19 "variants": [],
20 "createdAt": "2022-05-31T13:32:20.547Z",
21 "lastSeenAt": null,
22 "impressionData": true
23 },
24 "preData": {
25 "name": "new-feature",
26 "description": "Flag description",
27 "type": "release",
28 "project": "my-project",
29 "stale": false,
30 "variants": [],
31 "createdAt": "2022-05-31T13:32:20.547Z",
32 "lastSeenAt": null,
33 "impressionData": true
34 },
35 "tags": [
36 {
37 "value": "a-tag-value",
38 "type": "simple",
39 "color": "#FFFFFF"
40 }
41 ],
42 "label": "string",
43 "summary": "string",
44 "ip": "192.168.1.1",
45 "groupType": "change-request",
46 "groupId": "01HQVX5K8P9EXAMPLE123456"
47 }
48 ],
49 "totalEvents": 842
50}

Returns the last 100 events from the Unleash instance when called without a query parameter. When called with a project parameter, returns all events for the specified project.

If the provided project does not exist, the list of events will be empty.

Was this page helpful?
Previous

Get all events related to a specific feature flag.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

projectstringOptional
The name of the project whose events you want to retrieve

Response

eventsSchema
versionenum
The api version of this response. A natural increasing number. Only increases if format changes
Allowed values:
eventslist of objects
The list of events
totalEventsinteger>=0
The total count of events

Errors

401
Unauthorized Error